package homegear;

import java.io.*;
import java.util.*;
import java.text.*;
import java.security.*;
import java.security.cert.*;
import java.net.*;
import javax.net.*;
import javax.net.ssl.*;

/**
  * Representation of peer name. 
  */

class HomeGearName {
    private int id;
/** * Peer name */
    public String name;
    
/**
  * Constructs a peer name.
  * @param id_ ID of the peer
  * @param name_ name of the peer
  */
    public HomeGearName(int id_, String name_) {
	id = id_;
	name = name_;
    }

/**
  * Returns peer id
  * @return peer id.
  */
    public int id() {
	return id;
    }

/**
  * Comapare with another instance 
  * @param a The other instance.
  * @return True if equal.
  */
    public boolean equals(Object a) {
	if ( ! (a instanceof HomeGearName) ) return false;
	return ((HomeGearName)a).id()==id;
    }
}
    
